Agent-readable docs index: /llms.txt. Full docs in one file: /llms-full.txt. Download /docs.zip to grep all markdown files locally.
/api/v1/events/{eventId}/sessions/{sessionId}PUT
Authorization
apiKey *Bearer <token>
Event API key from Settings → API. Token in: header
Request Bodyapplication/jsonrequired
title?string
Min length: 1Max length: 300
description?string | null
visibility?"PUBLIC" | "PRIVATE"
trackId?string | null
formatId?string | null
Response
200
id *string
eventId *string
submitterSpeakerId *string | null
kind *"CONTENT" | "SERVICE"
status *"DRAFT" | "PENDING" | "ACCEPT_QUEUE" | "ACCEPTED" | "DECLINE_QUEUE" | "DECLINED" | "WITHDRAWN"
title *string | null
description *string | null
visibility *"PUBLIC" | "PRIVATE"
coverImageFileId *string | null
track *object | null
format *object | null
room *object | null
startsAt *number | null
endsAt *number | null
participants *object[]
Show item properties
id *string
role *"SPEAKER" | "MODERATOR"
confirmationStatus *"PENDING" | "CONFIRMED" | "DECLINED"
sortOrder *integer
Min: -9007199254740991Max: 9007199254740991
speaker *object
Show properties
id *string
firstName *string
lastName *string
email *string
submittedAt *number | null
decidedAt *number | null
notifiedAt *number | null
withdrawnAt *number | null
icsSequence *integer
Min: -9007199254740991Max: 9007199254740991
createdAt *number
updatedAt *number
400
code *string
message *string
details?object
401
code *string
message *string
details?object
403
code *string
message *string
details?object
404
code *string
message *string
details?object
422
code *string
message *string
details?object
500
code *string
message *string
details?object
Request example
curl -X PUT "https://opensession.dev/api/v1/events/<eventId>/sessions/<sessionId>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "description": "string", "visibility": "PUBLIC", "trackId": "string", "formatId": "string" }'